[blfs-support] Lots of problems with Firefox

Richard rkm at usol.com
Tue Dec 3 16:50:44 PST 2013


> I have recently installed LFS 7.4, and I have
> also installed various packages from the BLFS
> book that are identified as compatible with
> LFS 7.4. One of the packages I installed was
> Firefox-23.0.1. I believe I have also installed
> all the required and recommended dependencies
> for it.
>
> When I first start up Firefox I get the following
> message:
>
>> (process:1035): GLib-CRITICAL **: g_slice_set_config: assertion `sys_page_size == 0' failed
>
> When I go on a news site at:
> www.cbc.ca/thenational/watch/, I get a bunch
> of error messages like:
>
>> (plugin-container:1120): Gtk-CRITICAL **: IA__gtk_widget_get_visual: assertion `GTK_IS_WIDGET (widget)' failed
>
>> (plugin-container:1120): Gdk-CRITICAL **: IA__gdk_colormap_new: assertion `GDK_IS_VISUAL (visual)' failed
>
>> (plugin-container:1120): Gdk-CRITICAL **: IA__gdk_colormap_alloc_colors: assertion `GDK_IS_COLORMAP (colormap)' failed
>
>> (plugin-container:1120): Gtk-CRITICAL **: IA__gtk_widget_modify_bg: assertion `GTK_IS_WIDGET (widget)' failed
>
> These errors occur before I try to watch anything.
> When I click on a video to watch it, Firefox hangs
> up and I just have to kill the process. The final
> logs I am able to see on the screen are lines like:
>
>> ###!!! [Parent][RPCChannel] Error: Channel error: cannot send/recv
>
> Before starting on LFS 7.4 I have been using
> LFS 7.2 with Firefox-16.0.1, and I did not have
> any problems watching videos on this site.
>
> Does anyone have an idea what the problem(s) might
> be with Firefox-23.0.1?
>
> Richard

I found a solution to this problem (except for the first
GLib-CRITICAL line, which I understand from your replies
is a harmless bug). I experimented with two Flash plugins,
the latest (and final, I guess) version 11.2.202.327, as
well as version 10.3 r183, which I had used successfully
in my LFS 7.2 system. Neither Flash plugin worked properly
in my LFS 7.4 system. But I noticed that the older Flash
plugin complained that it could not open the cURL library.
I had installed cURL in my LFS 7.2 build (I can't remember
now why), but I hadn't yet installed it in LFS 7.4,
since I don't think I saw it mentioned as a required or
recommended dependency for any of the packages that I
installed (but it is listed as an optional dependency for
Firefox).

Anyway, when I installed curl-7.32.0, all the problems
with the cbc site disappeared, and so far the Flash
videos play just fine.

By the way, is there a way to disable Java script in
Firefox 23.0.1? It used to be a selection in edit ->
preferences but I can't find it in this version of
Firefox.

Richard



More information about the blfs-support mailing list